#include <stdio.h>
int max(int x, int y){
	if(x>y)
		return x;
	return y;
}
int main()
{
	int b,c,a;
	scanf("%d%d",&b,&c);
	if(b>=256 || c>=256 || b+c>=256)
		a=0;
	else 
		if(b==0 && c==0)
			a=256;
		else 
			if(b==0)
				a=256-c;
			else
				if(c==0)
					a=256-b;
				else
					a=256-max(b,c);
	printf("%d",a);
	return 0;
}